Get Card
POST
/v2/Payment/GetCardGetCard prompts the terminal to read card data and returns the card track information. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Prompt*
stringTimeout
numberTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Payment/GetCard
1curl --location 'https://test.spinpos.net/v2/Payment/GetCard' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Prompt": "",
6 "Timeout": "",
7 "Tpn": "",
8 "RegisterId": "",
9 "Authkey": "",
10 "SPInProxyTimeout": ""
11}'
Response
// Awaiting response…
Sample response
{
"Track1": "",
"Track2": "",
"Account": "",
"EntryType": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}